Getting Started

All request examples in our documentation use cURL notation.

You can refer to the API Reference for the complete specification.

Because Global Relay AI Assistant API is HTTP-based, it works with any HTTP client. The following examples use cURL, so you can run them from a terminal without installing additional software.

Prerequisites

Before you begin, you will need:

  • An access token, i.e. bearer token, authorized for the AI Assistant API.
  • Your API base URL, provided by Global Relay.
  • A terminal with curl installed.

Identifying your Function and Archive

Before you can make requests via the AI Assistant API to locate information in your Archive, you must provide the Function/Archive pair for which your token is authorized by making a GET call to the function-archive-sources endpoint:

curl -s -X GET "https://<api-host>/v1/function-archive-sources" \
  -H "Authorization: Bearer <YOUR_ACCESS_TOKEN>"

You will receive the following response, outlining the id and name of your Function and Archive.

{
  "object": "list",
  "data": [
    {
      "function": { "id": 101, "name": "Archive Search" },
      "archive":  { "id": "arc_7f3a", "name": "Compliance Archive" }
    }
  ]
}

In each request to the AI Assistant API , you will pass the appropriate access token and Function/Archive pair.

Rate limits

API calls are limited per user at the API gateway, where the following limits are in place:

  • Asking a question (/v1/responses): 60 requests per 60 seconds, per user, and up to 18 concurrent requests.
  • All other requests: 90 requests per 60 seconds, per user, and 18 concurrent requests.

Asking a question (/v1/responses): 60 requests per 60 seconds, per user, and up to 18 concurrent requests.

All other routes: 90 requests per 60 seconds, per user, and 18 concurrent requests.